Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 667642 - >=www-client/firefox-62.0.3 fails to compile on arm with: webrtc/trunk/webrtc/modules/audio_processing/ns/ns_core.c:217:13: error: redefinition of 'NoiseEstimation' as different kind of symbol (and many more)
Summary: >=www-client/firefox-62.0.3 fails to compile on arm with: webrtc/trunk/webrtc...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL: https://bugzilla.mozilla.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-03 08:57 UTC by tt_1
Modified: 2019-09-15 20:20 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
compressed build.log (firefox-62.0.2-failed-with-webrtc.log.gz,124.51 KB, application/gzip)
2018-10-03 08:57 UTC, tt_1
Details
output of emerge --info (arm-emerge-info,5.17 KB, text/plain)
2018-10-03 09:05 UTC, tt_1
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tt_1 2018-10-03 08:57:18 UTC
Created attachment 549148 [details]
compressed build.log

emerge -pv firefox:

[ebuild     U *] www-client/firefox-62.0.2::gentoo [60.2.1-r1::gentoo] USE="clang dbus eme-free lto%* system-harfbuzz system-icu system-jpeg system-libevent system-sqlite -bindist -custom-cflags -custom-optimization -debug -geckodriver -gmp-autoupdate (-hardened) -hwaccel -jack -neon -pulseaudio -screenshot (-selinux) -startup-notification -system-libvpx -test -wifi" L10N="de -ach -af -an -ar -as -ast -az -bg -bn-BD -bn-IN -br -bs -ca -cak -cs -cy -da -dsb -el -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -ff -fi -fr -fy -ga -gd -gl -gn -gu -he -hi -hr -hsb -hu -hy -id -is -it -ja -ka -kab -kk -km -kn -ko -lij -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -ta -te -th -tr -uk -uz -vi -xh -zh-CN -zh-TW" 0 Kib


compressed build log is attached
Comment 1 tt_1 2018-10-03 09:05:57 UTC
Created attachment 549150 [details]
output of emerge --info

emerge --info
Comment 2 tt_1 2018-10-03 09:13:30 UTC
Now, mozilla changed the build system of webrtc to gn a while ago. As it seemed to have been done in a bit of a hurry, they forgot freebsd and aarch64 for example, it's likely the build system change caused this. I'm going to open a bug at mozilla to try to talk with them. This bug here is for tracking and discussion.
Comment 3 tt_1 2018-10-03 10:05:53 UTC
Linked upstream bug.
Comment 4 tt_1 2018-10-04 12:48:39 UTC
I just finished the rebuilt of firefox-62.0.3 with --disable-webrtc, the compile passed fine.
Comment 5 Larry the Git Cow gentoo-dev 2018-10-04 13:50:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e38348005ea010d004bf1e3c702b11c0ead2ca05

commit e38348005ea010d004bf1e3c702b11c0ead2ca05
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2018-10-04 13:50:06 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2018-10-04 13:50:06 +0000

    www-client/firefox: disable webrtc on arm
    
    Closes: https://github.com/gentoo/gentoo/pull/10053
    Closes: https://bugs.gentoo.org/667642
    Reported-by: stefson <herrtimson@yahoo.de>
    Package-Manager: Portage-2.3.50, Repoman-2.3.11
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox/firefox-62.0.3.ebuild | 3 +++
 1 file changed, 3 insertions(+)
Comment 6 tt_1 2018-10-04 14:29:12 UTC
thanks for pushing the fix into the tree, but let's keep this open for tracking upstreams efforts.
Comment 7 sakaki 2018-10-21 12:14:30 UTC
Please see the following forums post:

https://forums.gentoo.org/viewtopic-p-8266770.html#8266770

for a patch that allows the firefox webrtc stuff to build for arm64 on firefox-62.0.2 (and for 62.0.3 also, per NeddySeagoon); not sure if something similar might be usable for arm.

hth, sakaki
Comment 8 tt_1 2019-02-21 19:52:27 UTC
debian/ubuntu seem to have patches available for this, are you interested into picking them up?
Comment 9 tt_1 2019-09-15 19:40:21 UTC
this is fixed for firefox-68.1.0 and thunderbird-68.1.0

I'm going to double test for v69.0
Comment 10 tt_1 2019-09-15 20:20:04 UTC
firefox-69.0 is also fixed